%
% This is part of LFSbookko package.
%
% This is a CTIE change file for the original XML source of the LFSbook.
%
@x
<?xml version="1.0" encoding="ISO-8859-1"?>
@y
<?xml version="1.0" encoding="UTF-8"?>
@z

@x
    <para>The Ncurses package contains libraries for terminal-independent
    handling of character screens.</para>
@y
    <para role="nottranslated">
    The Ncurses package contains libraries for terminal-independent
    handling of character screens.
    </para>
@z

@x
    <title>Installation of Ncurses</title>
@y
    <title>&InstallationOf1;Ncurses&InstallationOf2;</title>
@z

@x
    <para>Prepare Ncurses for compilation:</para>
@y
    <para>&PreparePackage1;Ncurses&PreparePackage2;</para>
@z

@x
      <title>The meaning of the configure option:</title>
@y
      <title>&MeaningOfOption1;configure&MeaningOfOption2;:</title>
@z

@x
          <para>This switch causes wide-character libraries (e.g., <filename
          class="libraryfile">libncursesw.so.&ncurses-version;</filename>)
          to be built instead of normal ones (e.g., <filename
          class="libraryfile">libncurses.so.&ncurses-version;</filename>).
          These wide-character libraries are usable in both multibyte and
          traditional 8-bit locales, while normal libraries work properly
          only in 8-bit locales. Wide-character and normal libraries are
          source-compatible, but not binary-compatible.</para>
@y
          <para role="nottranslated">
          This switch causes wide-character libraries (e.g., <filename
          class="libraryfile">libncursesw.so.&ncurses-version;</filename>)
          to be built instead of normal ones (e.g., <filename
          class="libraryfile">libncurses.so.&ncurses-version;</filename>).
          These wide-character libraries are usable in both multibyte and
          traditional 8-bit locales, while normal libraries work properly
          only in 8-bit locales. Wide-character and normal libraries are
          source-compatible, but not binary-compatible.
          </para>
@z

@x
    <para>Compile the package:</para>
@y
    <para>&CompileThePackage;</para>
@z

@x
    <para>This package has a test suite, but it can only be run after the
    package has been installed.  The tests reside in the
    <filename class="directory">test/</filename> directory.  See the
    <filename>README</filename> file in that directory for further details.
    </para>
@y
    <para role="nottranslated">
    This package has a test suite, but it can only be run after the
    package has been installed.  The tests reside in the
    <filename class="directory">test/</filename> directory.  See the
    <filename>README</filename> file in that directory for further details.
    </para>
@z

@x
    <para>Install the package:</para>
@y
    <para>&InstallThePackage;</para>
@z

@x
    <para>Move the shared libraries to the
    <filename class="directory">/lib</filename> directory, where they are
    expected to reside:</para>
@y
    <para role="nottranslated">
    Move the shared libraries to the
    <filename class="directory">/lib</filename> directory, where they are
    expected to reside:
    </para>
@z

@x
    <para>Because the libraries have been moved, one symlink points to
    a non-existent file. Recreate it:</para>
@y
    <para role="nottranslated">
    Because the libraries have been moved, one symlink points to
    a non-existent file. Recreate it:
    </para>
@z

@x
    <para>Many applications still expect the linker to be able to find
    non-wide-character Ncurses libraries. Trick such applications into linking with
    wide-character libraries by means of symlinks and linker scripts:</para>
@y
    <para role="nottranslated">
    Many applications still expect the linker to be able to find
    non-wide-character Ncurses libraries. Trick such applications into linking with
    wide-character libraries by means of symlinks and linker scripts:
    </para>
@z

@x
    <para>Finally, make sure that old applications that look for
    <filename class="libraryfile">-lcurses</filename> at build time are still
    buildable:</para>
@y
    <para role="nottranslated">
    Finally, make sure that old applications that look for
    <filename class="libraryfile">-lcurses</filename> at build time are still
    buildable:
    </para>
@z

@x
    <para>If desired, install the Ncurses documentation:</para>
@y
    <para role="nottranslated">
    If desired, install the Ncurses documentation:
    </para>
@z

@x
      <para>The instructions above don't create non-wide-character Ncurses
      libraries since no package installed by compiling from sources would
      link against them at runtime. If you must have such libraries because
      of some binary-only application or to be compliant with LSB, build 
      the package again with the following commands:</para>
@y
      <para role="nottranslated">
      The instructions above don't create non-wide-character Ncurses
      libraries since no package installed by compiling from sources would
      link against them at runtime. If you must have such libraries because
      of some binary-only application or to be compliant with LSB, build 
      the package again with the following commands:
      </para>
@z

@x
    <title>Contents of Ncurses</title>
@y
    <title>&ContentsOf1;Ncurses&ContentsOf2;</title>
@z

@x
      <segtitle>Installed programs</segtitle>
      <segtitle>Installed libraries</segtitle>
      <segtitle>Installed directories</segtitle>
@y
      <segtitle>&InstalledProgram;</segtitle>
      <segtitle>&InstalledLibrary;</segtitle>
      <segtitle>&InstalledDirectory;</segtitle>
@z

@x
        <seg>captoinfo (link to tic), clear, infocmp, infotocap (link to tic),
        ncursesw5-config, reset (link to tset), tabs, tic, toe, tput, and tset</seg>
        <seg>libcursesw.{a,so} (symlink and linker script to libncursesw.{a,so}),
        libformw.{a,so}, libmenuw.{a,so}, libncurses++w.a, libncursesw.{a,so},
        libpanelw.{a,so} and their non-wide-character counterparts without "w"
        in the library names.</seg>
        <seg>/usr/share/tabset, /usr/share/terminfo</seg>
@y
        <seg>captoinfo (&LinkTo1;tic&LinkTo2;), clear, infocmp, infotocap (&LinkTo1;tic&LinkTo2;),
        ncursesw5-config, reset (&LinkTo1;tset&LinkTo2;), tabs, tic, toe, tput, tset</seg>
        <seg>libcursesw.{a,so} (symlink and linker script to libncursesw.{a,so}),
        libformw.{a,so}, libmenuw.{a,so}, libncurses++w.a, libncursesw.{a,so},
        libpanelw.{a,so} and their non-wide-character counterparts without "w"
        in the library names.</seg>
        <seg>/usr/share/tabset, /usr/share/terminfo</seg>
@z

@x
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
@y
      <bridgehead renderas="sect3">&ShortDescriptions;</bridgehead>
@z

@x captoinfo
          <para>Converts a termcap description into a terminfo description</para>
@y
          <para role="nottranslated">
          Converts a termcap description into a terminfo description
          </para>
@z

@x clear
          <para>Clears the screen, if possible</para>
@y
          <para role="nottranslated">
          Clears the screen, if possible
          </para>
@z

@x infocmp
          <para>Compares or prints out terminfo descriptions</para>
@y
          <para role="nottranslated">
          Compares or prints out terminfo descriptions
          </para>
@z

@x infotocap
          <para>Converts a terminfo description into a termcap description</para>
@y
          <para role="nottranslated">
          Converts a terminfo description into a termcap description
          </para>
@z

@x ncursesw5-config
          <para>Provides configuration information for ncurses</para>
@y
          <para role="nottranslated">
          Provides configuration information for ncurses
          </para>
@z

@x reset
          <para>Reinitializes a terminal to its default values</para>
@y
          <para role="nottranslated">
          Reinitializes a terminal to its default values
          </para>
@z

@x tabs
          <para>Clears and sets tab stops on a terminal</para>
@y
          <para role="nottranslated">
          Clears and sets tab stops on a terminal
          </para>
@z

@x tic
          <para>The terminfo entry-description compiler that translates a
          terminfo file from source format into the binary format needed for the
          ncurses library routines. A terminfo file contains information on the
          capabilities of a certain terminal</para>
@y
          <para role="nottranslated">
          The terminfo entry-description compiler that translates a
          terminfo file from source format into the binary format needed for the
          ncurses library routines. A terminfo file contains information on the
          capabilities of a certain terminal
          </para>
@z

@x toe
          <para>Lists all available terminal types, giving the primary name and
          description for each</para>
@y
          <para role="nottranslated">
          Lists all available terminal types, giving the primary name and
          description for each
          </para>
@z

@x tput
          <para>Makes the values of terminal-dependent capabilities available to
          the shell; it can also be used to reset or initialize a terminal or
          report its long name</para>
@y
          <para role="nottranslated">
          Makes the values of terminal-dependent capabilities available to
          the shell; it can also be used to reset or initialize a terminal or
          report its long name
          </para>
@z

@x tset
          <para>Can be used to initialize terminals</para>
@y
          <para role="nottranslated">
          Can be used to initialize terminals
          </para>
@z

@x libcurses
          <para>A link to <filename>libncurses</filename></para>
@y
          <para role="nottranslated">
          A link to <filename>libncurses</filename>
          </para>
@z

@x libncurses
          <para>Contains functions to display text in many complex ways on a
          terminal screen; a good example of the use of these functions is the
          menu displayed during the kernel's <command>make
          menuconfig</command></para>
@y
          <para role="nottranslated">
          Contains functions to display text in many complex ways on a
          terminal screen; a good example of the use of these functions is the
          menu displayed during the kernel's <command>make
          menuconfig</command>
          </para>
@z

@x libform
          <para>Contains functions to implement forms</para>
@y
          <para role="nottranslated">
          Contains functions to implement forms
          </para>
@z

@x libmenu
          <para>Contains functions to implement menus</para>
@y
          <para role="nottranslated">
          Contains functions to implement menus
          </para>
@z

@x libpanel
          <para>Contains functions to implement panels</para>
@y
          <para role="nottranslated">
          Contains functions to implement panels
          </para>
@z
